libsidplayfp::Player Class Reference

## Public Member Functions

const SidConfig & | config () const
const SidInfo & | info () const
bool | config (const SidConfig &cfg, bool force=false)
bool | fastForward (unsigned int percent)
bool | load (SidTune *tune)
uint_least32_t | play (short *buffer, uint_least32_t samples)
bool | isPlaying () const
void | stop ()
uint_least32_t | timeMs () const
void | debug (const bool enable, FILE *out)
void | mute (unsigned int sidNum, unsigned int voice, bool enable)
void | filter (unsigned int sidNum, bool enable)
const char * | error () const
void | setKernal (const uint8_t *rom)
void | setBasic (const uint8_t *rom)
void | setChargen (const uint8_t *rom)
uint_least16_t | getCia1TimerA () const
bool | getSidStatus (unsigned int sidNum, uint8_t regs[32])

The documentation for this class was generated from the following files:

- player.h
- player.cpp